<?php
/**
 * The Giapeto script to edit a block.
 *
 * $Horde: giapeto/blockedit.php,v 1.46 2005/08/07 01:14:27 chuck Exp $
 *
 * Copyright 2003-2005 Marko Djukic <marko@oblo.com>
 *
 * See the enclosed file COPYING for license information (GPL). If you did not
 * receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

define('GIAPETO_BASE', dirname(__FILE__));
require_once GIAPETO_BASE . '/lib/base.php';
require_once 'Horde/Form.php';
require_once 'Horde/Variables.php';

$giapeto = &Giapeto::singleton();

/* Set up the form variables. */
$vars = &Variables::getDefaultVariables();

/* Set up the page object. */
$page_id = $vars->get('page_id');
$page = &$giapeto->getPage($page_id);

/* Get the block editing class to set up the form. */
require_once GIAPETO_BASE . '/lib/Form/BlockEdit.php';
$form = &Form_BlockEdit::factory($vars);

if ($form->changedType()) {
    $notification->push(_("Block type changed."), 'horde.message');
}

/* Check if a block is being edited. */
$form->setEditVars();

/* Check if submitted. */
$result = $form->validate($vars);
if (is_a($result, 'PEAR_Error')) {
    $notification->push(_("Error saving block."), 'horde.error');
} elseif ($result === true) {
    $notification->push(_("Block has been saved."), 'horde.success');
    echo '<script type="text/javascript">parent.opener.location.reload(); window.close();</script>';
    exit;
}

$template = &new Horde_Template();
$template->set('notify', Util::bufferOutput(array($notification, 'notify'), array('listeners' => 'status')));

/* Render the form. */
$template->set('main', $form->getForm());

require GIAPETO_TEMPLATES . '/common-header.inc';
echo $template->fetch(GIAPETO_TEMPLATES . '/popup/popup.html');
require $registry->get('templates', 'horde') . '/common-footer.inc';
