<?php
/**
 * The Giapeto script to move blocks around the page.
 *
 * $Horde: giapeto/blockmove.php,v 1.7 2005/01/03 14:34:51 jan Exp $
 *
 * Copyright 2003-2005 Marko Djukic <marko@oblo.com>
 *
 * See the enclosed file COPYING for license information (GPL). If you did not
 * receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

define('GIAPETO_BASE', dirname(__FILE__));
require_once GIAPETO_BASE . '/lib/base.php';

$giapeto = &Giapeto::singleton();

/* Get the essential data. */
$page_id  = Util::getFormData('page_id');
$block_id = Util::getFormData('block_id');
$move     = Util::getFormData('move');

/* Get the page. */
$page = $giapeto->getPage($page_id);
$last_block = $page->getNumBlocks() - 1;

switch ($move) {
case 'up':
    if ($block_id == 0) {
        $page->swapBlocks($block_id, $last_block);
    } else {
        $page->swapBlocks($block_id, $block_id - 1);
    }
    break;

case 'down':
    if ($block_id == $last_block) {
        $page->swapBlocks($block_id, 0);
    } else {
        $page->swapBlocks($block_id, $block_id + 1);
    }
    break;
}

$page->save();

header('Location: ' . $giapeto->getIdUrl($page_id, 1));
