<?php
/**
 * Form_BlockEdit_image:: class, extends Form_BlockEdit.
 *
 * These classes are used to set up the forms to edit individual
 * blocks within a page.
 *
 * $Horde: giapeto/lib/Form/BlockEdit/image.php,v 1.9 2005/07/03 02:57:27 selsky Exp $
 *
 * Copyright 2002-2005 Marko Djukic <marko@oblo.com>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author Marko Djukic <marko@oblo.com>
 * @package Giapeto
 */
class Form_BlockEdit_image extends Form_BlockEdit {

    function Form_BlockEdit_image(&$vars, &$block)
    {
        parent::Form_BlockEdit($vars, $block);

        $alignments = array('left' => _("left"), 'right' => _("right"), 'center' => _("center"));
        $this->_form->addVariable(_("Alignment"), 'text-align', 'enum', false, false, null, array($alignments));
        $this->_form->addVariable(_("Continuation link"), 'link', 'blocklink', false);
        $this->_form->addVariable(_("Image"), 'image', 'image', false, false, null, array(true, true));
    }

    /**
     * Prepares the block array for editing and passing to Horde_Form.
     */
    function setBlock()
    {
        /* Set up the block image field array for loading the existing image
         * and read the data in from the VFS. */
        $this->_block['image']['load']['file'] = $this->_block['image']['vfs_id'];
        $this->_block['image']['load']['data'] = $GLOBALS['vfs']->read(GIAPETO_VFS_PATH . $this->_block['image']['vfs_path'], $this->_block['image']['vfs_id']);

        /* Add any other settings there were for this image. */
        $this->_block['image']['keep_orig'] = !(empty($this->_block['image_zoom']));

        /* Load other fields. */
        $this->_block['text-align'] = $this->_block['style']['text-align'];
        unset($this->_block['style']);
    }

}

class Horde_Form_Type_blockLink extends Horde_Form_Type {

    function isValid(&$var, &$vars, $value, &$message)
    {
        $link = $vars->get('link');
        if (!empty($link['ext'])) {
            return true;
        }

        if (empty($link['int'])) {
            return true;
        }
        global $giapeto;
        $exists = $giapeto->getPagePath($link['int']);
        return $exists;
    }

    function getInfo(&$vars, &$var, &$info)
    {
        $link = $vars->get('link');
        if (empty($link['ext'])) {
            $info = $link['int'];
        } else {
            $info = $link['ext'];
        }
    }

}
