<?php

require_once 'Horde/MIME/Viewer/images.php';

/**
 * The Gollem_MIME_Viewer_images class allows images to be displayed
 * inline in a message.
 *
 * $Horde: giapeto/lib/MIME/Viewer/images.php,v 1.16 2005/09/09 17:58:48 chuck Exp $
 *
 * Copyright 2002-2005 Mike Cochrane <mike@graftonhall.co.nz>
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Mike Cochrane <mike@graftonhall.co.nz>
 * @since   Giapeto 0.1
 * @package Horde_MIME_Viewer
 */
class Giapeto_MIME_Viewer_images extends MIME_Viewer_images {

    function render($params = null)
    {
        global $browser;

        if (!$browser->isViewable($this->mime_part->getType())) {
            return '<em>' . _("Your browser does not support inline display of this image type") . '</em>.';
        }

        $alt = $this->mime_part->getName();
        if (!$alt) {
            $alt = $this->mime_part->getDescription();
        }

        $url = Horde::applicationUrl('view.php');
        $url = Util::addParameter($url, array('actionID' => 'download',
                                              'file' => $this->mime_part->getName()));

        return '<img src="' . $url . '" alt="' . htmlspecialchars($alt) . '" />';
    }

    /**
     * Return the content-type
     *
     * @return string  The content-type of the output.
     */
    function getType()
    {
        return 'text/html';
    }

}
