<?php

require_once 'Horde/UI/VarRenderer/html.php';

/**
 * Horde_UI_Renderer_Giapeto_html:: class, extends Horde_UI_VarRenderer.
 *
 * These classes are used to set up the forms to edit individual
 * blocks within a page.
 *
 * $Horde: giapeto/lib/UI/VarRenderer/blockedit_html.php,v 1.10 2005/04/20 06:31:09 selsky Exp $
 *
 * Copyright 2002-2005 Marko Djukic <marko@oblo.com>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Marko Djukic <marko@oblo.com>
 * @package Giapeto
 */
class Horde_UI_VarRenderer_blockedit_html extends Horde_UI_VarRenderer_html {

    function _renderVarInput_textStyle(&$form, &$var, &$vars)
    {
        $font_size = array('8px' => '8', '12px' => '12', '14px' => '14', '18px' => '18', '24px' => '24');
        $font_style = array('' => _("normal"), 'italic' => _("italic"));
        $font_weight = array('' => _("normal"), 'bold' => _("bold"));
        $text_align = array('' => _("left"), 'right' => _("right"), 'center' => _("center"), 'justify' => _("justified"));
        $style = $var->getValue($vars);
        if (empty($style['font-size'])) {
            $style['font-size'] = 12;
        }
        if (!isset($style['font-style'])) { $style['font-style'] = ''; }
        if (!isset($style['font-weight'])) { $style['font-weight'] = ''; }
        if (!isset($style['text-align'])) { $style['text-align'] = ''; }

        /* Font size select. */
        printf('<select name="%s[font-size]">%s</select>',
               $var->getVarName(),
               $this->_selectOptions($font_size, $style['font-size']));

        /* Font style select. */
        printf('<select name="%s[font-style]">%s</select>',
               $var->getVarName(),
               $this->_selectOptions($font_style, $style['font-style']));

        /* Font weight select. */
        printf('<select name="%s[font-weight]">%s</select>',
               $var->getVarName(),
               $this->_selectOptions($font_weight, $style['font-weight']));

        /* Font align select. */
        printf('<select name="%s[text-align]">%s</select>',
               $var->getVarName(),
               $this->_selectOptions($text_align, $style['text-align']));
    }

    function _renderVarInput_blockLink(&$form, &$var, &$vars)
    {
        global $giapeto;
        $link = $var->getValue($vars);
        /* Set up the link field. */
        if (!is_array($link)) {
            if (ctype_digit($link)) {
                $link = array('int' => $link, 'ext' => '');
            } else {
                $link = array('int' => '', 'ext' => $link);
            }
        } else {
            if (!empty($link['ext'])) {
                $link['int'] = '';
            }
        }

        $sitetree = array('' => _("-- select --")) + $giapeto->getSiteTree('cat_ids', DATATREE_ROOT, false, true);

        /* Internal link selection. */
        printf('<select name="%s[int]">%s</select><br />%s<br />',
               $var->getVarName(),
               $this->_selectOptions($sitetree, $link['int']),
               _("or type in an address (example: http://www.example.com)"));

        /* External link text box. */
        printf('<input type="text" size="40" name="%s[ext]" value="%s" />',
               $var->getVarName(),
               $link['ext']);
    }

}
