<?php
/**
 * Giapeto test script.
 *
 * $Horde: giapeto/test.php,v 1.14 2005/06/05 06:38:40 selsky Exp $
 *
 * Copyright 2003-2005 Marko Djukic <marko@oblo.com>
 *
 * See the enclosed file COPYING for license information (GPL). If you did not
 * receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

@define('CONFIG_DIR', dirname(__FILE__) . '/config/');

/* Include Horde's core.php file. */
include_once '../lib/core.php';

/* We should have loaded the String class, from the Horde_Util
 * package, in core.php. If String:: isn't defined, then we're not
 * finding some critical libraries. */
if (!class_exists('String')) {
    echo '<br /><span style="color: red; font-size: 18px; font-weight: bold;">The Horde_Util package was not found. If PHP\'s error_reporting setting is high enough, there should be error messages printed above that may help you in debugging the problem. If you are simply missing these files, then you need to get the <a href="http://cvs.horde.org/cvs.php/framework">framework</a> module from <a href="http://horde.org/source/">Horde CVS</a>, and install the packages in it with the install-packages.php script.</span>';
    exit;
}

/* Initialize the Horde_Test:: class. */
if (!(@is_readable('../lib/Test.php'))) {
    echo 'ERROR: You must install Horde before running this script.';
    exit;
}
require_once '../lib/Test.php';
$horde_test = &new Horde_Test;

/* Giapeto version. */
$module = 'Giapeto';
require_once './lib/version.php';
$module_version = GIAPETO_VERSION;

require TEST_TEMPLATES . 'header.inc';
require TEST_TEMPLATES . 'version.inc';

/* Display PHP Version information. */
$php_info = $horde_test->getPhpVersionInformation();
require TEST_TEMPLATES . 'php_version.inc';

$keywords = isset($_GET['keywords']) ? $_GET['keywords'] : null;

$config_files = array('mime_drivers.php', 'templates/pages/pages.html');

if (isset($_GET['create'])) {
    $install_config = CONFIG_DIR . $_GET['create'];
    $dist_config = CONFIG_DIR . $_GET['create'] . '.dist';
    if (in_array($_GET['create'], $config_files) &&
        file_exists($dist_config) && !file_exists($install_config)) {
        if (@!copy($dist_config, $install_config)) {
            echo '<font color="red"><strong>Can not write the ' . $_GET['create'] . ' file.</strong></font><br />You need to copy manually <tt>' . $dist_config . '</tt><br /> to<br /><tt>' . $install_config . '</tt><br>';
        } else {
            chmod($install_config, 0444);
        }
    }
}

?>
<h1>Giapeto Configuration Files</h1>
<ul>
<?php foreach ($config_files as $file): ?>
<?php if (file_exists(CONFIG_DIR . $file)): ?>
    <li><?php echo $file ?> - <font color="green"><strong>Yes</strong></font>
<?php else: ?>
    <li><?php echo $file ?> - <font color="red"><strong>No</strong></font><?php if (file_exists(CONFIG_DIR . $file . '.dist')): ?> (<a href="?create=<?php echo $file ?>">create</a>)<?php else: ?><font color="red"><strong> and the distribution file is missing, check installation</strong></font><?php endif; ?>
<?php endif; endforeach; ?>
</ul>

<?php
require TEST_TEMPLATES . 'footer.inc';
